propellor-5.18: property-based host configuration management in haskell

Maintainer | Sean Whitton <spwhitton@spwhitton.name>
Safe Haskell | None
Language | Haskell2010

Propellor.Property.EtcDefault

Description

Synopsis

- type EtcDefaultFile = String
- set :: EtcDefaultFile -> ShellKey -> String -> Property UnixLike

# Documentation

type EtcDefaultFile = String Source #

The name of a file in /etc/default, without the /etc/default prefix. E.g. `useradd`.

set :: EtcDefaultFile -> ShellKey -> String -> Property UnixLike Source #

Set a key=value pair in a file in /etc/default.